# ACE_InputCDR::to_string Struct Reference

`#include <CDR_Stream.h>`

List of all members.

## Public Member Functions

| to_string (ACE_CDR::Char *&s, ACE_CDR::ULong b)
| to_string (const ACE_CDR::Char *&s, ACE_CDR::ULong b)

## Public Attributes

const ACE_CDR::Char *& | val_
ACE_CDR::ULong | bound_

## Constructor & Destructor Documentation

ACE_INLINE ACE_InputCDR::to_string::to_string | ( | ACE_CDR::Char *& | s,
|  | ACE_CDR::ULong | b
| ) |

Deprecated:
  The constructor taking a non-const string is now deprecated (C++ mapping 00-01-02), but we keep it around for backward compatibility.

ACE_INLINE ACE_InputCDR::to_string::to_string | ( | const ACE_CDR::Char *& | s,
|  | ACE_CDR::ULong | b
| ) |

## Member Data Documentation

ACE_CDR::ULong ACE_InputCDR::to_string::bound_

const ACE_CDR::Char*& ACE_InputCDR::to_string::val_

The documentation for this struct was generated from the following files:

- CDR_Stream.h
- CDR_Stream.inl